Render a chart version's manifests with helm template
import requests
url = "https://platform.ankra.app/api/v1/org/helm/charts/template"
payload = {
"repository_name": "<string>",
"chart_name": "<string>",
"chart_version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({repository_name: '<string>', chart_name: '<string>', chart_version: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/helm/charts/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/helm/charts/template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repository_name": "<string>",
"chart_name": "<string>",
"chart_version": "<string>"
}
'{
"rendered": [
{
"path": "<string>",
"content_base64": "<string>"
}
],
"notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Helm API
Render a chart version's manifests with helm template
POST
/
api
/
v1
/
org
/
helm
/
charts
/
template
Render a chart version's manifests with helm template
import requests
url = "https://platform.ankra.app/api/v1/org/helm/charts/template"
payload = {
"repository_name": "<string>",
"chart_name": "<string>",
"chart_version": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({repository_name: '<string>', chart_name: '<string>', chart_version: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/helm/charts/template', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/helm/charts/template \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repository_name": "<string>",
"chart_name": "<string>",
"chart_version": "<string>"
}
'{
"rendered": [
{
"path": "<string>",
"content_base64": "<string>"
}
],
"notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
253Maximum string length:
253Maximum string length:
128Base64-encoded YAML overriding the chart's default values.
Release name for the render; defaults to the chart name.
Release namespace for the render; defaults to "default".